*{
    margin: 0;
    padding: 0;
}

body{
    background-color: #F7F8FB;
}



.body_box{
    padding: 0.4rem 0 0.8rem;
}



/* 刷选 */
.type_box{
    width: 100%;
    overflow: hidden;
    background: #FFFFFF;
    border-radius: 0.16rem;
    border: 0.01rem solid #E0E3E6;
    font-size: 0.16rem;
    margin-bottom: 0.3rem;
}
.type_box .type_item{
    display: flex;
    column-gap: 0.27rem;
    padding: 0.15rem 0.64rem;
    border-bottom: 0.01rem solid #DDDEDE;
}
.type_box .type_item:last-child{
    border-bottom: none;
}
.type_box .type_item .type_name{
    font-weight: 600;
    font-size: 0.16rem;
    color: #333333;
    padding-top: 0.08rem;
}
.type_box .type_item .type_list{
    width: calc(100% - 0.75rem);
    display: flex;
    flex-wrap: wrap;
    column-gap: 0.28rem;
}
.type_box .type_item .type_list a{
    font-weight: 400;
    font-size: 0.16rem;
    color: #333333;
    padding: 0.07rem 0.14rem;
}
.type_box .type_item .type_list a.active,
.type_box .type_item .type_list a:hover{
    background: #064DB0;
    border-radius: 0.04rem;
    color: #FFFFFF;
}



/* 视频列表 */
.video_box{
    display: flex;
    flex-wrap: wrap;
    column-gap: 0.21rem;
    row-gap: 0.3rem;
    padding-bottom: 0.04rem;
}
.video_box .video_item{
	width: calc(25% - 0.1575rem);
	height: 2.4rem;
	border-radius: 0.16rem;
	overflow: hidden;
	position: relative;
	display: block;
}
.video_box .video_item img{
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: all 0.3s ease-in-out;
}
.video_box .video_item:hover img{
	transform: scale(1.1);
}
.video_box .video_item::after{
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(6,6,6,0.1);
	pointer-events: none;
}
.video_box .video_item::before{
	content: '';
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	width: 0.56rem;
	height: 0.56rem;
	background: url('../img/video_play.png') no-repeat center center;
	background-size: contain;
	z-index: 1;
}
.video_box .video_fr .video_item{
	width: calc(50% - 0.16rem);
	height: 2.4rem;
}
.video_box .video_item .video_txt{
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	background: linear-gradient( 180deg, rgba(0,13,34,0) 0%, #000D22 100%);
	padding: 0.48rem 0.3rem 0.17rem;
	z-index: 2;
}
.video_box .video_item .video_txt span{
	display: flex;
	align-items: center;
	column-gap: 0.1rem;
	font-family: "Arial-Regular";
	font-weight: 400;
	font-size: 0.16rem;
	color: #FFFFFF;
}
.video_box .video_item .video_txt span i{
	width: 0.16rem;
	height: 0.16rem;
	display: block;
	background: url('../img/time.png') no-repeat center center;
	background-size: contain;
	filter: brightness(0) invert(1);
}
.video_box .video_item .video_txt div{
	margin-top: 0.12rem;
	font-weight: 600;
	font-size: 0.18rem;
	color: #FFFFFF;
}





/* 详情 */
.video_view{
    display: flex;
    column-gap: 0.42rem;
    font-size: 0.16rem;
}
.video_view .video_fl{
    width: calc(100% - 4.4rem);
    height: fit-content;
    background: #FFFFFF;
    border-radius: 0.16rem;
    border: 0.01rem solid #E0E3E6;
    padding: 0.4rem 0.4rem 0.68rem;
}
.video_view .video_fl .video_title{
    font-weight: bold;
    font-size: 0.28rem;
    color: #000000;
    margin-bottom: 0.4rem;
}




#video-container{
    width: 100%;
    height: fit-content;
    position: relative;
    cursor: pointer;
}
#video-element {
	width: 100%;
	height: 100%;
	position: relative;
}

#video-poster {
	width: 0.65rem;
	height: 0.65rem;
	position: absolute;
	background: url(../img/bofang.png) center no-repeat !important;
	border: none !important;
	left: 50%;
	top: 50%;
	transform: translate(-50%,-50%);
	z-index: 2;
    pointer-events: none;
}

/* 视频进度条 */
#video-element::-webkit-media-controls-enclosure {
	opacity: 0;
}

#video-element.act::-webkit-media-controls-enclosure {
	opacity: 1;
}




.video_class{
    margin: 0.48rem 0 0.2rem;
    position: relative;
    padding-left: 0.16rem;
    font-weight: bold;
    font-size: 0.24rem;
    color: #000000;
}
.video_class::before{
    content: '';
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 0;
    width: 0.04rem;
    height: 0.16rem;
    background: #0048BF;
    border-radius: 0.03rem;
}
.video_detail{
    font-family: "Arial-Regular";
    font-weight: 400;
    font-size: 0.16rem;
    color: #333333;
    line-height: 2;
}


.video_view .video_fr{
    width: 4rem;
}
.video_view .video_fr .video_div{
    width: 100%;
    background: #FFFFFF;
    border-radius: 0.16rem;
    border: 0.01rem solid #E0E3E6;
    padding: 0.24rem 0.2rem 0.3rem;
    margin-bottom: 0.3rem;
}
.video_view .video_fr .video_div .video_name{
    width: 100%;
    padding-bottom: 0.17rem;
    border-bottom: 0.01rem solid #E3E3E3;
    margin-bottom: 0.36rem;
}
.video_view .video_fr .video_div .video_name span{
    font-weight: bold;
    font-size: 0.24rem;
    color: #000000;
    position: relative;
}
.video_view .video_fr .video_div .video_name span::after{
    content: '';
    position: absolute;
    bottom: -0.18rem;
    left: 0;
    width: 0.48rem;
    height: 0.03rem;
    background: #0048BF;
    border-radius: 0.02rem 0.02rem 0rem 0rem;
}
.video_view .video_fr .video_div .video_source{
    font-family: "Arial-Regular";
    font-weight: 400;
    font-size: 0.18rem;
    color: #1A1A1A;
    line-height: 1.777;
}
.video_view .video_fr .video_div .video_author{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 0.12rem;
}
.video_view .video_fr .video_div .video_author .author_img{
    width: 1rem;
    height: 1rem;
    border-radius: 50%;
    overflow: hidden;
}
.video_view .video_fr .video_div .video_author p{
    width: 100%;
    text-align: center;
    font-weight: 600;
    font-size: 0.2rem;
    color: #1A1A1A;
}



@media only screen and (max-width: 1024px) {
    .type_box .type_item{
        padding: 0.15rem 0.34rem;
    }
    .type_box .type_item .type_name{
        flex: 0 0 12%;
        font-size: 12px;
    }
    .type_box .type_item .type_list{
        column-gap: 0.38rem;
    }
    .type_box .type_item .type_list a{
        font-size: 12px;
    }
    .video_box{
        column-gap: 0.21rem;
    }
    .video_box .video_item{
        width: calc(50% - 0.1175rem);
    }
    .video_box .video_item .video_txt span,.video_box .video_item .video_txt div{
        font-size: 12px;
    }
    .video_view{
        display: block;
    }
    .video_view .video_fl{
        width: 100%;
    }
    .video_class,.video_detail,.video_detail p{
        font-size: 12px;
    }
    .video_view .video_fr{
        width: 100%;
    margin-top: 0.3rem;
    }
    .video_view .video_fr .video_div .video_name span,.video_view .video_fr .video_div .video_author p,.video_view .video_fr .video_div .video_source p{
        font-size: 12px;
    }
}